commit: 5346040889579c18dddefb03882e1d44b709dfea
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 1 03:40:32 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 1 04:07:16 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53460408
dev-python/jsonschema-path: Bump to 0.4.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/jsonschema-path/Manifest | 1 +
.../jsonschema-path/jsonschema-path-0.4.4.ebuild | 50 ++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/jsonschema-path/Manifest
b/dev-python/jsonschema-path/Manifest
index c30a97537174..1e4516427b27 100644
--- a/dev-python/jsonschema-path/Manifest
+++ b/dev-python/jsonschema-path/Manifest
@@ -1,3 +1,4 @@
DIST jsonschema-path-0.3.4.gh.tar.gz 40126 BLAKE2B
cc7884ab41a0cdcfbd292831f9ed2a03f82af30f4482499c7940633741560228df59c4157457e8c44c57fb73f0f6142f10ad23d36f444fea71a84cf6309d953d
SHA512
85b791a374d61bedf66a0ca44b6906ec74f02ffe991c1cb220267c85c0e7b493375d712d7ca0828681c9c15f170bc29d4b808b00778895fb13f1f7ff3cdf2a9c
DIST jsonschema-path-0.4.2.gh.tar.gz 60092 BLAKE2B
89a51a04a6740a145b4101ffcca3f0915e16b80d4d97ac8072bcab26e6710457a9bfb1908f2ac902946883210953a5c8ee038470f8c9137e6d52b6406fe19174
SHA512
65b10a1d7e9ec9bb5cdaf0ed8a509468affc09d5f4a998e0e673511df1f8d89e9bdf1ce6c786f1cd6227ed154779dd1311b4a77511285e1c20df05eb1576a7f3
DIST jsonschema-path-0.4.3.gh.tar.gz 61504 BLAKE2B
33dcc7b6989d10eaa5d6c718aa5468f4dcd2d8f751a1d327e3f0ac409d048a9ae436ed8b2aa4de461a10c482356c2a441b116fb91a9b07e4333127c673337416
SHA512
2b06aa6d9b536c307714acbac801052adcc803824c8fe430192a62dc91493021de2b8a02c11a00e8e540973e297981cb2707901c07b1f218a8bc597216037276
+DIST jsonschema-path-0.4.4.gh.tar.gz 62765 BLAKE2B
d25bd2d2687a43fdd03576014884ada192caf3d4f1abc3e734e7e3fc8971979505d32114e910feebe2d7251c8227d6de7e571ccbb862e9e14433b455dabeb49d
SHA512
b8cfdeb72e083db4d27643e8d8253367930bfb0fc6ad66282d62941d1fa2f2dafdc533a5be5107db2d78c16285041a94722b4940246060bd2f62f69ba534f08a
diff --git a/dev-python/jsonschema-path/jsonschema-path-0.4.4.ebuild
b/dev-python/jsonschema-path/jsonschema-path-0.4.4.ebuild
new file mode 100644
index 000000000000..f674b241d5f8
--- /dev/null
+++ b/dev-python/jsonschema-path/jsonschema-path-0.4.4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-path/
+ https://github.com/p1c2u/jsonschema-path/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-path/archive/${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+ >=dev-python/pathable-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove random pins
+ sed -i -e 's:\^:>=:' -e 's:<[0-9.]\+:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}